## veromix 0.13.1

=== Makefile ===
# Makefile

SHELL	:= sh -e

VERSION	:= $$(awk -F= '/X-KDE-PluginInfo-Version/ { print $$2 }' metadata.desktop)

all:	build

build:
	sh Messages.sh

install:
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid
	cp -a contents dbus-service metadata.desktop $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid

	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	cp -a org.veromix.pulseaudio.service $(DESTDIR)/usr/share/dbus-1/services

	mkdir -p $(DESTDIR)/usr/share/kde4/services
	ln -s ../apps/plasma/plasmoids/veromix-plasmoid/metadata.desktop $(DESTDIR)/usr/share/kde4/services/plasma-widget-veromix.desktop

	mkdir -p $(DESTDIR)/usr/share/icons
	ln -s ../kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/icons/veromix-plasmoid-128.png $(DESTDIR)/usr/share/icons/veromix-plasmoid.png

	# legacy hack for kde 4.4
	if [ "$$(kde4-config --kde-version | awk -F\. '{ print $$2 }')" -lt 5 ]; \
	then \
		sed -i -e 's|Plasma/Applet,Plasma/PopupApplet|Plasma/PopupApplet|' $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/metadata.desktop ; \
	fi

clean:
	rm -rf .pc
	-find . -name '*~' | xargs rm -f
	-find . -name '*.pyc' | xargs rm -f
	-find contents/locale -name "*.mo" | xargs rm -f

distclean:	clean

dist:	clean
	tar cfzv ../plasma-widget-veromix_$(VERSION).orig.tar.gz --exclude=.svn --exclude=debian --exclude="contrib" ../$(shell basename $(CURDIR))

=== debian/changelog ===
veromix (0.13.1-2) unstable; urgency=low

  * Changing source package name to veromix.

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 25 Sep 2011 18:05:00 +0100

plasma-widget-veromix (0.13.1-1) unstable; urgency=low

  * New upstream release.
  * Add python to build-depends and use dh_python2 to calculate
    python dependencies. Patch by Scott Kitterman
    <scott@kitterman.com> (Closes: #637472).

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 14 Sep 2011 23:55:00 +0100

plasma-widget-veromix (0.13.0-1) unstable; urgency=low

  * New upstream release.
  * Adding swh-plugins as depends to debian/control.

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 25 Jul 2011 00:55:00 +0100

plasma-widget-veromix (0.12.0-1) unstable; urgency=low

  * New upstream release (Closes: #626494).
  * Updated debian/control Standards-Version to 3.9.2 (no changes).

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 13 Jun 2011 03:17:00 +0100

plasma-widget-veromix (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Changed debian/rules to use the new upstream Makefile.
  * Removed debian/plasma-widget-veromix.links.
  * Removed debian/plasma-widget-veromix.install.
  * Updated Description in debian/control.
  * Updated Build-Depends in debian/control.

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 07 Apr 2011 22:00:23 +0100

plasma-widget-veromix (0.9.1-1) unstable; urgency=low

  * Initial release.

 -- Nik Lutz <nik.lutz@gmail.com>  Thu, 09 Dec 2010 12:26:23 +0100

=== debian/control ===
Source: veromix
Section: kde
Priority: optional
Maintainer: Nik Lutz <nik.lutz@gmail.com>
Build-Depends: debhelper (>= 8), gettext, kdelibs-bin, kdesdk-scripts, python
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/veromix-plasmoid/
Vcs-Browser: http://code.google.com/p/veromix-plasmoid/source/browse/
Vcs-Svn: http://veromix-plasmoid.googlecode.com/svn/trunk/

Package: plasma-widget-veromix
Architecture: all
Depends:
 ${misc:Depends}, ${python:Depends}, plasma-scriptengine-python, pulseaudio,
 python-xdg, python-qt4-dbus, swh-plugins
Description: plasma widget to control pulseaudio
 Veromix is a mixer for the Pulseaudio sound server.
 .
 Features:
  * control volume of each playback stream
  * control volume of devices (hardware)
  * control volume of input devices (microphone)
  * move playback streams between different devices (drag icon of playback
    stream and drop it on target device)
  * mute/unmute (click icon)
  * volume meter (on mouse over)
  * PopUp-Applet (icon-representation if inside panel)
  * can life in system tray / notification area
  * kill playback streams
  * set default output device
  * Middle-click on panel icon mutes default output
  * Mouse-wheel over panel icon increases/decreases volume of default output
  * supports global hotkeys
  * set volume above 100%

## veromix 0.18.3

=== Makefile ===
# Makefile

SHELL := sh -e

VERSION := $$(awk -F= '/X-KDE-PluginInfo-Version/ { print $$2 }' plasma/metadata.desktop)
DATE := $$(date +"%Y-%m-%d")

_VEROMIX_SHARED := $(DESTDIR)/usr/share/veromix

all: build

build:
	sh Messages.sh

install: install-plasmoid install-gtk

install-service:
	mkdir -p $(_VEROMIX_SHARED)
	cp -a dbus-service common $(_VEROMIX_SHARED)

	mkdir -p $(_VEROMIX_SHARED)/data
	cp -a data/icons data/presets $(_VEROMIX_SHARED)/data

	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	cp -a data/dbus-1/services/* $(DESTDIR)/usr/share/dbus-1/services

	mkdir -p $(DESTDIR)/usr/share/icons
	ln -s ../veromix/data/icons/veromix.png $(DESTDIR)/usr/share/icons/veromix.png

	mkdir -p $(DESTDIR)/usr/share/locale
	cp -a data/locale/* $(DESTDIR)/usr/share/locale
	-find $(DESTDIR)/usr/share/locale -name "*.po" | xargs rm -f

install-plasmoid: install-service
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid
	cp -a plasma/contents plasma/metadata.desktop $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid

	mkdir -p $(DESTDIR)/usr/share/kde4/services
	ln -s ../apps/plasma/plasmoids/veromix-plasmoid/metadata.desktop $(DESTDIR)/usr/share/kde4/services/plasma-widget-veromix.desktop
	ln -sf ../../../../../../../veromix/common $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/code/veromixcommon
	ln -sf ../../../../../../veromix/data/icons $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/icons
	ln -sf ../../../../../../locale $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/locale
	ln -sf ../../../../../veromix/dbus-service $(DESTDIR)/usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/dbus-service

install-gtk: install-service
	mkdir -p $(_VEROMIX_SHARED)
	cp -a gtk $(_VEROMIX_SHARED)

	mkdir -p $(DESTDIR)/usr/share/applications
	cp -a data/applications/veromix.desktop $(DESTDIR)/usr/share/applications

plasma-pkg: clean build
	cd plasma && zip -r ../../tmp-veroimx.plasmoid .
	cd ..
	mv ../tmp-veroimx.plasmoid ../$(DATE)_$(VERSION)_veromix.plasmoid

local-gtk: clean build
	echo "#!/bin/sh\ngtk/main.py" > veromix.sh
	chmod a+x veromix.sh
	echo "REQUIREMENTS:\n- python3-dbus\n- python3-gi\n- pulseaudio\n- python-xdg (Optional)\n- ladspa-sdk, swh-plugins (Optional)\n\n" > README
	echo "Configuration:\nSome basic configuration options can be found in ~/.config/veromix/veromix.conf" >> README
	tar cfzv ../$(DATE)_$(VERSION)_veromix-gtk.tar.gz --exclude=.git --exclude=debian --exclude="Makefile" --exclude="Messages.sh" --exclude="plasma" --exclude="contrib" ../$(shell basename $(CURDIR))
	rm veromix.sh README

clean:
	-find . -name '*~' | xargs rm -f
	-find . -name '*.pyc' | xargs rm -f
	-find . -name '__pycache__' | xargs rm -rf
	-find data/locale -name "*.mo" | xargs rm -f

distclean: clean

dist: clean
	tar cfzv ../veromix_$(VERSION).orig.tar.gz --exclude=.git --exclude=debian --exclude="contrib" ../$(shell basename $(CURDIR))

=== debian/changelog ===
veromix (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * Adding /usr/share/locale and /usr/share/icons to veromix-common.install.
  * Fixing python3 syntax error.
    Patch by Johannes Kloos <jkloos@unix-ag.uni-kl.de> (Closes: #676827).
  * Fix encoding problem (Closes #677445).

 -- Nik Lutz <nik.lutz@gmail.com>  Mon, 14 Jun 2012 00:01:00 +0100

veromix (0.17.0-1) unstable; urgency=low

  * New upstream release (adds Gtk frontend).
  * Updated debian/control:
    - Standards-Version to 3.9.3 (no changes).
    - Change Section from kde to sound.
    - New binary packages: veromix-common, veromix.
    - Moving dependencies from plasma-widget-veromix to veromix-common.
    - Removing kdelibs-bin and kdesdk-scripts from Build-Depends.
    - Adding python3 as Build-Depends.
  * Update debian/copyright.
  * Update debian/rules:
    - Also using gzip compression level 9 for binary packages.
    - Update override_dh_python2 for new packages.
  * Adding manpage for veromix (debian/veromix.1, debian/veromix.manpages).
  * New Files:
    - veromix.1
    - veromix.install
    - veromix.links
    - veromix-common.install
    - veromix.manpages

 -- Nik Lutz <nik.lutz@gmail.com>  Tue, 05 Jun 2012 11:50:00 +0100

veromix (0.16.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control convert Vcs-Svn field to Vcs-Git.

 -- Nik Lutz <nik.lutz@gmail.com>  Wed, 04 Apr 2012 00:41:03 +0100

=== debian/control ===
Source: veromix
Section: sound
Priority: optional
Maintainer: Nik Lutz <nik.lutz@gmail.com>
Build-Depends: debhelper (>= 9), gettext, python, python3
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/veromix-plasmoid/
Vcs-Browser: http://code.google.com/p/veromix-plasmoid/source/browse/
Vcs-Git: https://code.google.com/p/veromix-plasmoid/

Package: veromix
Architecture: all
Depends:
 ${misc:Depends}, ${python3:Depends}, python3-dbus, python3-gi, veromix-common
Description: Mixer for the PulseAudio sound server (GTK+)
 Veromix is a mixer for the PulseAudio sound server.
 .
 Features:
  * control volume of each playback stream
  * control volume of devices (hardware)
  * control volume of input devices (microphone)
  * move playback streams between different devices (drag icon of playback
    stream and drop it on target device)
  * mute/unmute (click icon)
  * volume meter (on mouse over)
  * PopUp-Applet (icon-representation if inside panel)
  * can life in system tray or notification area
  * kill playback streams
  * set default output device
  * Middle-click on panel icon mutes default output
  * Mouse-wheel over panel icon increases/decreases volume of default output
  * supports global hotkeys
  * set volume above 100%
 .
 This package contains the GTK+ frontend for GNOME and others.

Package: veromix-common
Architecture: all
Depends: ${misc:Depends}, ladspa-sdk, pulseaudio, swh-plugins
Suggests: ${python:Depends}, python3
Description: Mixer for the PulseAudio sound server (common)
 Veromix is a mixer for the PulseAudio sound server.
 .
 This package contains the common files.

Package: plasma-widget-veromix
Architecture: all
Depends:
 ${misc:Depends}, ${python:Depends}, plasma-scriptengine-python,
 python-qt4-dbus, python-xdg, veromix-common
Description: Mixer for the PulseAudio sound server (Plasma)
 Veromix is a mixer for the PulseAudio sound server.
 .
 Features:
  * control volume of each playback stream
  * control volume of devices (hardware)
  * control volume of input devices (microphone)
  * move playback streams between different devices (drag icon of playback
    stream and drop it on target device)
  * mute/unmute (click icon)
  * volume meter (on mouse over)
  * PopUp-Applet (icon-representation if inside panel)
  * can life in system tray or notification area
  * kill playback streams
  * set default output device
  * Middle-click on panel icon mutes default output
  * Mouse-wheel over panel icon increases/decreases volume of default output
  * supports global hotkeys
  * set volume above 100%
 .
 This package contains the Plasma widget for KDE.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with python2 --with python3

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_python2:
	dh_python2 -pveromix-common /usr/share/veromix/dbus-service/
	dh_python2 -pveromix-common /usr/share/veromix/common
	dh_python2 -pplasma-widget-veromix /usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/code/
	dh_python2 -pveromix /usr/share/veromix/gtk/
